BlackKarasinski::Dynamics Class Reference

Short-rate dynamics in the Black-Karasinski model. More...

`#include <ql/models/shortrate/onefactormodels/blackkarasinski.hpp>`

Inherits ShortRateDynamics.

## Public Member Functions

| Dynamics (const Parameter &fitting, Real alpha, Real sigma)
Real | variable (Time t, Rate r) const
Real | shortRate (Time t, Real x) const

## Detailed Description

Short-rate dynamics in the Black-Karasinski model.

The short-rate is here

\[ r_t = e^{\varphi(t) + x_t} \]

where \( \varphi(t) \) is the deterministic time-dependent parameter (which can not be determined analytically) used for term-structure fitting and \( x_t \) is the state variable following an Ornstein-Uhlenbeck process.